import argparse
import os
import sys

from pkgme import __version__, write_packaging


def main(argv=None, target_dir=None):
    if argv is None:
        argv = sys.argv[1:]
    parser = argparse.ArgumentParser(
        description='pkgme - A Debian packaging generation framework.')
    parser.add_argument(
        '-v', '--version',
        action='version', version='pkgme {0}'.format(__version__),
        help='Print this version string and exit')
    parser.parse_args(args=argv)
    if target_dir is None:
        target_dir = os.getcwd()
    write_packaging(target_dir)


if __name__ == '__main__':
    main()
